import PropTypes from 'prop-types';
import React, { ReactNode } from 'react';
export interface WellProps {
    /**
     * Children
     */
    children?: ReactNode;
    /**
     * Component tag
     */
    tag?: ((...args: unknown[]) => unknown) | string;
    /**
     * The override API
     */
    overrides?: {
        Well?: {
            styles?: (...args: unknown[]) => unknown;
            component?: React.ElementType;
            attributes?: (...args: unknown[]) => unknown;
        };
    };
}
export declare const Well: {
    ({ tag, children, overrides: componentOverrides, ...rest }: WellProps): JSX.Element;
    propTypes: {
        /**
         * Children
         */
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /**
         * The override API
         */
        overrides: PropTypes.Requireable<PropTypes.InferProps<{
            Well: PropTypes.Requireable<PropTypes.InferProps<{
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                styles: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
        }>>;
        /**
         * Component tag
         */
        tag: PropTypes.Requireable<string | ((...args: any[]) => any)>;
    };
    defaultProps: {
        tag: string;
    };
};
